RemoteControlReader (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jacoco.core.runtime
Class RemoteControlReader

    java.lang.Object
      org.jacoco.core.data.ExecutionDataReader
          org.jacoco.core.runtime.RemoteControlReader

    public class RemoteControlReader

extends ExecutionDataReader

`ExecutionDataReader` with commands added for runtime remote control.

Field Summary

Fields inherited from class org.jacoco.core.data.ExecutionDataReader
`in`

Constructor Summary
`RemoteControlReader(InputStream input)` Create a new read based on the given input stream.

Method Summary
`protected boolean` | `readBlock(byte blockid)` Reads a block of data identified by the given id.
`void` | `setRemoteCommandVisitor(IRemoteCommandVisitor visitor)` Sets an listener for agent commands.

Methods inherited from class org.jacoco.core.data.ExecutionDataReader
`read, setExecutionDataVisitor, setSessionInfoVisitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteControlReader

    public RemoteControlReader(InputStream input)
                        throws IOException

  Create a new read based on the given input stream.

  Parameters:
    `input` - input stream to read commands from
  Throws:
    `IOException` - if the stream does not have a valid header

Method Detail

### readBlock

    protected boolean readBlock(byte blockid)
                         throws IOException

  Description copied from class: `ExecutionDataReader`
  Reads a block of data identified by the given id. Subclasses may overwrite this method to support additional block types.

  Overrides:
    `readBlock` in class `ExecutionDataReader`
  Parameters:
    `blockid` - block type
  Returns:
    `true` if there are more blocks to read
  Throws:
    `IOException` - might be thrown by the underlying input stream

### setRemoteCommandVisitor

    public void setRemoteCommandVisitor(IRemoteCommandVisitor visitor)

  Sets an listener for agent commands.

  Parameters:
    `visitor` - visitor to retrieve agent commands

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.